server:
  port: 10120

spring:
  application:
    name: sckw-ng-payment
  profiles:
    active: @profiles.active@
  main:
    allow-bean-definition-overriding: true
    allow-circular-references: true

mybatis-plus:
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl

logging:
  level:
    root: info
    com.sckw.payment: debug

# SpringDoc OpenAPI 配置
springdoc:
  swagger-ui:
    path: /swagger-ui.html
    tags-sorter: alpha
    operations-sorter: alpha
  api-docs:
    path: /v3/api-docs
  show-actuator: true
  cache:
    disabled: true